Debian Bug report logs - #535361
dhcp-probe doesn't find network interfaces

version graph

Package: dhcp-probe; Maintainer for dhcp-probe is Laurent Guignard <lguignard.debian@gmail.com>; Source for dhcp-probe is src:dhcp-probe.

Reported by: Michel Blockelet <blockelet@crans.org>

Date: Wed, 1 Jul 2009 22:39:01 UTC

Severity: grave

Found in version dhcp-probe/1.3.0-2

Fixed in version dhcp-probe/1.3.0-3

Done: Laurent Guignard <lguignard.debian@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Laurent Guignard <lguignard.debian@gmail.com>:
Bug#535361; Package dhcp-probe. (Wed, 01 Jul 2009 22:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michel Blockelet <blockelet@crans.org>:
New Bug report received and forwarded. Copy sent to Laurent Guignard <lguignard.debian@gmail.com>. (Wed, 01 Jul 2009 22:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michel Blockelet <blockelet@crans.org>
To: submit@bugs.debian.org
Subject: dhcp-probe doesn't find network interfaces
Date: Thu, 02 Jul 2009 00:35:50 +0200
[Message part 1 (text/plain, inline)]
Subject: dhcp-probe doesn't find network interfaces
Package: dhcp-probe
Version: 1.3.0-2
Justification: renders package unusable
Severity: grave

When starting dhcp_probe (via init.d script or not), I get in syslog :
> dhcp_probe[17563]: starting, version 1.3.0
> dhcp_probe[17563]: get_myipaddr: couldn't locate interface eth1
> dhcp_probe[17563]: couldn't determine IP addr for interface eth1
> dhcp_probe[17563]: exiting

By hacking the C code, I found that dhcp_probe sees four interfaces
named "lo", "", "", and "#002" !...

I don't know how to fix this bug.


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (10, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages dhcp-probe depends on:
ii  libc6                         2.9-12     GNU C Library: Shared
libraries
ii  libnet1                       1.1.4-1    library for the
construction and h
ii  libpcap0.8                    1.0.0-2    system interface for
user-level pa
ii  ucf                           3.0018     Update Configuration File:
preserv

dhcp-probe recommends no packages.

dhcp-probe suggests no packages.

-- no debconf information

-- 
Michel Blockelet <blockelet@crans.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#535361; Package dhcp-probe. (Mon, 20 Jul 2009 19:06:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Guignard <lguignard.debian@gmail.com>:
Extra info received and forwarded to list. (Mon, 20 Jul 2009 19:06:09 GMT) Full text and rfc822 format available.

Message #10 received at 535361@bugs.debian.org (full text, mbox):

From: Laurent Guignard <lguignard.debian@gmail.com>
To: 535361@bugs.debian.org
Subject: Need more information
Date: Mon, 20 Jul 2009 21:04:59 +0200
Hi,

Is it possible to provide the result of ifconfig command ?
Is there any interface configured with IPV4 on your host ?

Thanks in advance.
Best regards

-- 
Laurent Guignard, Registered as user #301590 with the Linux Counter
Site : http://www.famille-guignard.org
Blog : http://blog.famille-guignard.org
Projet : http://sicontact.sourceforge.net
GULL de Villefranche sur SaƓne : http://www.cagull.org






Reply sent to Laurent Guignard <lguignard.debian@gmail.com>:
You have taken responsibility. (Sat, 17 Oct 2009 12:57:04 GMT) Full text and rfc822 format available.

Notification sent to Michel Blockelet <blockelet@crans.org>:
Bug acknowledged by developer. (Sat, 17 Oct 2009 12:57:04 GMT) Full text and rfc822 format available.

Message #15 received at 535361-close@bugs.debian.org (full text, mbox):

From: Laurent Guignard <lguignard.debian@gmail.com>
To: 535361-close@bugs.debian.org
Subject: Bug#535361: fixed in dhcp-probe 1.3.0-3
Date: Sat, 17 Oct 2009 12:17:05 +0000
Source: dhcp-probe
Source-Version: 1.3.0-3

We believe that the bug you reported is fixed in the latest version of
dhcp-probe, which is due to be installed in the Debian FTP archive:

dhcp-probe_1.3.0-3.diff.gz
  to pool/main/d/dhcp-probe/dhcp-probe_1.3.0-3.diff.gz
dhcp-probe_1.3.0-3.dsc
  to pool/main/d/dhcp-probe/dhcp-probe_1.3.0-3.dsc
dhcp-probe_1.3.0-3_amd64.deb
  to pool/main/d/dhcp-probe/dhcp-probe_1.3.0-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 535361@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Laurent Guignard <lguignard.debian@gmail.com> (supplier of updated dhcp-probe package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 24 Aug 2009 14:17:48 +0200
Source: dhcp-probe
Binary: dhcp-probe
Architecture: source amd64
Version: 1.3.0-3
Distribution: unstable
Urgency: low
Maintainer: Laurent Guignard <lguignard.debian@gmail.com>
Changed-By: Laurent Guignard <lguignard.debian@gmail.com>
Description: 
 dhcp-probe - network dhcp or bootp server discover
Closes: 535172 535361 542350
Changes: 
 dhcp-probe (1.3.0-3) unstable; urgency=low
 .
   * Fix dhcp-probe.postinst script (closes: #535172).
   * Fix postrm problem on /etc/dhcp_probe.cf file.
   * Fix dhcp-probe.init.d script to enable -T option
     (Thanks to Ilkka Virta <itvirta@iki.fi>).
   * Fix dhcp-probe.init.d script (closes: #542350). Thanks to
     Petter Reinholdtsen <pere@hungry.com> for the patch.
   * Add patch to adapt src/get_myipaddr.c file to 32 or 64 bits system by
     pre-compilation directive in source code and debian/rules file update
     (closes: #535361).
Checksums-Sha1: 
 ed3cffc1d2d7de58930b38e7db4d502ae58ddce4 1133 dhcp-probe_1.3.0-3.dsc
 59738c42df832f3666026cfc7166dc2e8d278dcc 9157 dhcp-probe_1.3.0-3.diff.gz
 2c9bbebc77e47716c771f7e417a882fdb7116722 67450 dhcp-probe_1.3.0-3_amd64.deb
Checksums-Sha256: 
 3a52076379f2226e5299536b34c75ef0146d2aa0ab880faea72688117296bd50 1133 dhcp-probe_1.3.0-3.dsc
 6864d835a7acbf7cbe606f541121072d5bcb11c4d3f32dc1845d774347627908 9157 dhcp-probe_1.3.0-3.diff.gz
 599ace87abe19ea97f8cb5f10795e8698ebe8ca39309a955dee333e56a81ee1c 67450 dhcp-probe_1.3.0-3_amd64.deb
Files: 
 5fe091d97048253ad8cb7ab7ca1928de 1133 net optional dhcp-probe_1.3.0-3.dsc
 1c1dad95a04cf86ddb0627b432ac2a51 9157 net optional dhcp-probe_1.3.0-3.diff.gz
 b6f7fe430399b80044b4e28748131ad6 67450 net optional dhcp-probe_1.3.0-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkrZtMgACgkQvx6dH3bVKsQIKQCgtG+uuaaBOlEWvjze4vZCPt//
pkAAoLRf8iAq1eY07uTv+sF9M2gDm/qp
=LVzE
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 20 Nov 2009 07:31:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:01:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.